IPV4CALC(1)

NAME
  ipv4calc - Calculates IPv4 elements from an address.

SYNOPSIS
  ipv4calc [ --network | --broadcast | --netmask |
             --address | --cidr ] addr

DESCRIPTION
If an option is specified ipv4calc calculates the requested element from the address and prints it on stdout.

If multiple options are specified, only the first one is printed.

If no options are specified, the program prints the host part of the address, the network and the broadcast address as deduced from the given address.

If address doesn't contains a netmask or mask length, the default one is assumed.

AUTHOR
Francis J. Lacoste <francis.lacoste@iNsu.COM>

COPYRIGHT
Copyright (c) 1999,2000 iNsu Innovations Inc. All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms as perl itself.

SEE ALSO
Network::IPv4Addr(3).